package com.mentor.jubula.extension.rcp.toolkit.provider;

import java.net.URL;
import java.util.ResourceBundle;

import com.mentor.jubula.extension.rcp.toolkit.Activator;
import org.eclipse.jubula.toolkit.common.AbstractToolkitProvider;
import org.eclipse.jubula.toolkit.common.utils.ToolkitUtils;

public class RcpExtensionProvider extends AbstractToolkitProvider {
	/** the bundle location */
	public static final String BUNDLE = "com.mentor.jubula.extension.rcp.toolkit.i18n.i18n";

	/**
	 * this method returns the path where the client searches for your client
	 * toolkit extension XML-file. This file contains all necessary information
	 * for the client. {@inheritDoc}
	 */
	public URL getComponentConfigurationFileURL() {
		return ToolkitUtils.getURL(Activator.getDefault(), "resources/xml/ComponentConfiguration.xml");
	}

	/**
	 * this method should return a i18n properties file location for
	 * translatable strings. {@inheritDoc}
	 */
	public ResourceBundle getI18nResourceBundle() {
		return ResourceBundle.getBundle(BUNDLE);
	}
}