package org.eclipse.jubula.rc.common.adapter;

import org.eclipse.jubula.rc.common.adaptable.IAdapterFactory;
import org.eclipse.jubula.rc.common.tester.adapter.interfaces.IWidgetComponent;
import org.eclipse.jubula.rc.swt.tester.adapter.WidgetAdapter;
import org.eclipse.swt.widgets.Widget;

public class SWTExtensionAdapterFactory implements IAdapterFactory {
	/** {@inheritDoc} */
	public Class[] getSupportedClasses() {
		return new Class[] { Widget.class };
	}

	/** {@inheritDoc} */
	public Object getAdapter(Class targetedClass, Object objectToAdapt) {
		if (targetedClass.isAssignableFrom(IWidgetComponent.class)) {
			if (objectToAdapt instanceof Widget) {
				return new WidgetAdapter(objectToAdapt);
			}
		}
		return null;
	}
}
