package org.eclipse.jubula.rc.swt.tester;

import org.eclipse.jubula.rc.common.driver.IRunnable;
import org.eclipse.jubula.rc.common.exception.StepExecutionException;
import org.eclipse.jubula.rc.common.tester.WidgetTester;
import org.eclipse.jubula.rc.common.util.Verifier;
import org.eclipse.swt.widgets.Widget;

public class ControlTester extends WidgetTester {

	protected Widget getWidget() {
		return (Widget) getRealComponent();
	}

	public void verifyControlData(final String key, final String expectedValue) throws StepExecutionException {

		final Widget widet = getWidget();
		String actualValue = (String) getEventThreadQueuer().invokeAndWait("getDataFromControl", new IRunnable() {
			public Object run() {
				Object data = widet.getData(key);
				if (data != null) {
					return data.toString();
				}
				return "";
			}
		});

		Verifier.equals(expectedValue, actualValue);

	}
}